Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 384361 - app-emulation/xen-3.4.2-r3 fails to compile
Summary: app-emulation/xen-3.4.2-r3 fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ian Delaney (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CVE-2011-3131
  Show dependency tree
 
Reported: 2011-09-24 22:57 UTC by Agostino Sarubbo
Modified: 2011-09-25 13:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (xen-3.4.2-r2:20110925-104503.log,252.27 KB, text/plain)
2011-09-25 10:46 UTC, Agostino Sarubbo
Details
build.log (xen-3.4.2-r3:20110925-124020.log,345.07 KB, text/plain)
2011-09-25 12:43 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2011-09-24 22:57:55 UTC
Portage 2.1.10.11 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.12.2-r0, 2.6.39-gentoo-r3 x86_64)                                                                                   
=================================================================                                                                                                                   
System uname: Linux-2.6.39-gentoo-r3-x86_64-Intel-R-_Core-TM-_i3_CPU_540_@_3.07GHz-with-gentoo-2.0.3                                                                                
Timestamp of tree: Sat, 24 Sep 2011 22:00:01 +0000                                                                                                                                  
app-shells/bash:          4.1_p9                                                                                                                                                    
dev-java/java-config:     2.1.11-r3                                                                                                                                                 
dev-lang/python:          2.7.1-r1, 3.1.3-r1, 3.2                                                                                                                                   
dev-util/cmake:           2.8.4-r1                                                                                                                                                  
dev-util/pkgconfig:       0.26                                                                                                                                                      
sys-apps/baselayout:      2.0.3                                                                                                                                                     
sys-apps/openrc:          0.8.3-r1                                                                                                                                                  
sys-apps/sandbox:         2.4                                                                                                                                                       
sys-devel/autoconf:       2.13, 2.68                                                                                                                                                
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1                                                                                                                                  
sys-devel/binutils:       2.21.1-r1                                                                                                                                                 
sys-devel/gcc:            4.4.5, 4.5.3-r1                                                                                                                                           
sys-devel/gcc-config:     1.4.1-r1                                                                                                                                                  
sys-devel/libtool:        2.4-r1                                                                                                                                                    
sys-devel/make:           3.82-r1                                                                                                                                                   
sys-kernel/linux-headers: 2.6.36.1 (virtual/os-headers)                                                                                                                             
sys-libs/glibc:           2.12.2                                                                                                                                                    
Repositories: gentoo x-portage                                                                                                                                                      
ACCEPT_KEYWORDS="amd64"                                                                                                                                                             
ACCEPT_LICENSE="*"                                                                                                                                                                  
CBUILD="x86_64-pc-linux-gnu"                                                                                                                                                        
CFLAGS="-march=native -O2 -g0"                                                                                                                                                      
CHOST="x86_64-pc-linux-gnu"                                                                                                                                                         
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/qmail/alias /var/qmail/control"                                                                          
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"                                                                                              
CXXFLAGS="-march=native -O2"
DISTDIR="/media/sources"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="assume-digests binpkg-logs collision-protect distlocks ebuild-locks fixlafiles fixpackages multilib-strict news parallel-fetch protect-owned sandbox sfperms split-log strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O1"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="am fil zh af ca cs da de el es et fr gl hr hu it nb nl pl pt ro ru sk sl sv uk bg cy en eo fo ga he id ku lt lv mk ms nn sw tn zu ja zh_TW en_GB pt_BR ko zh_CN ar en_CA fi kk oc sr tr fa wa nds as be bn bn_BD bn_IN en_US es_AR es_CL es_ES es_MX eu fy fy_NL ga_IE gu gu_IN hi hi_IN is ka kn ml mr nb_NO nn_NO or pa pa_IN pt_PT rm si sq sv_SE ta ta_LK te th vi ast dz km my om sh ug uz ca@valencia sr@ijekavian sr@ijekavianlatin sr@latin csb hne mai se es_LA fr_CA zh_HK br la no es_CR et_EE sr_CS bo hsb hy mn sr@Latn lb ne bs tg uz@cyrillic xh be_BY brx ca_XV dgo en_ZA gd kok ks ky lo mni nr ns pap ps rw sa_IN sat sd ss st sw_TZ ti ts ve mt ia az me tl ak hy_AM lg nso son ur_PK"
MAKEOPTS="-j4 V=1"
PKGDIR="/media/sources/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 apache2 apng assistant bash-completion berkdb bzip2 cairo cd cdr cli cracklib crypt cuda cups curl cxx dbus device-mapper dri dvd dvdr encode extensions extras ffmpeg fontconfig fortran gdbm gnutls gpm gstreamer gtk hal iconv icu imagemagick imap ipv6 ithreads jadetex jpeg kde lame mmx mng modules mp3 mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdo perl png policykit postgres pppd private-headers python qt3support qt4 readline sasl sdl semantic-desktop session sqlite sse sse2 ssl svg symlink sysfs tcpd threads tk tordns truetype unicode v4l v4l2 vhosts vorbis webcam xcb xorg zlib zsh-completion" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="mouse evdev keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="am fil zh af ca cs da de el es et fr gl hr hu it nb nl pl pt ro ru sk sl sv uk bg cy en eo fo ga he id ku lt lv mk ms nn sw tn zu ja zh_TW en_GB pt_BR ko zh_CN ar en_CA fi kk oc sr tr fa wa nds as be bn bn_BD bn_IN en_US es_AR es_CL es_ES es_MX eu fy fy_NL ga_IE gu gu_IN hi hi_IN is ka kn ml mr nb_NO nn_NO or pa pa_IN pt_PT rm si sq sv_SE ta ta_LK te th vi ast dz km my om sh ug uz ca@valencia sr@ijekavian sr@ijekavianlatin sr@latin csb hne mai se es_LA fr_CA zh_HK br la no es_CR et_EE sr_CS bo hsb hy mn sr@Latn lb ne bs tg uz@cyrillic xh be_BY brx ca_XV dgo en_ZA gd kok ks ky lo mni nr ns pap ps rw sa_IN sat sd ss st sw_TZ ti ts ve mt ia az me tl ak hy_AM lg nso son ur_PK" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fastcgi geo gzip limit_req limit_zone map memcached proxy referer rewrite scgi split_clients ssi upstream_ip_hash userid uwsgi addition cache_purge dav degradation flv geoip gzip_static headers_more image_filter perl push random_index realip secure_link stub_status sub xslt ey_balancer slowfs_cache upload" NGINX_MODULES_MAIL="imap pop3 smtp" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ree18 ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Ian Delaney (RETIRED) gentoo-dev 2011-09-25 07:15:11 UTC
Fixed in 383977
Comment 2 Agostino Sarubbo gentoo-dev 2011-09-25 08:08:06 UTC
not resolved, I test it after you patched
Comment 3 Tony Vroon gentoo-dev 2011-09-25 10:39:17 UTC
There is no app-emulation/xen-3.4.2-r3 in the portage tree. I am assuming you mean xen-tools-3.4.2-r3, which passed a compilation test with GCC 4.6.1-r1 before it was committed. Build log required.
Comment 4 Agostino Sarubbo gentoo-dev 2011-09-25 10:45:35 UTC
(In reply to comment #3)
> There is no app-emulation/xen-3.4.2-r3 in the portage tree. I am assuming you
> mean xen-tools-3.4.2-r3, which passed a compilation test with GCC 4.6.1-r1
> before it was committed. Build log required.
Comment 5 Agostino Sarubbo gentoo-dev 2011-09-25 10:46:18 UTC
Created attachment 287683 [details]
build.log

(In reply to comment #3)
> There is no app-emulation/xen-3.4.2-r3 in the portage tree. I am assuming you
> mean xen-tools-3.4.2-r3, which passed a compilation test with GCC 4.6.1-r1
> before it was committed. Build log required.

sorry for the confusion.
Comment 6 Tony Vroon gentoo-dev 2011-09-25 11:36:26 UTC
+*xen-3.4.2-r3 (25 Sep 2011)
+
+  25 Sep 2011; Tony Vroon <chainsaw@gentoo.org> -xen-3.4.2-r2.ebuild,
+  +xen-3.4.2-r3.ebuild, +files/xen-3.4.2-werror-idiocy.patch:
+  Patch by Ian "idella4" Delaney allows building on GCC 4.5 & 4.6; closes bug
+  #384361 by Agostino "ago" Sarubbo.
Comment 7 Agostino Sarubbo gentoo-dev 2011-09-25 12:43:03 UTC
Created attachment 287703 [details]
build.log

not yet fixed at all
Comment 8 Agostino Sarubbo gentoo-dev 2011-09-25 13:06:22 UTC
FIXED, thanks Ian